> For clean Markdown of any page, append `.md` to the page URL.
> For a complete documentation index, see https://docs.sarvam.ai/llms.txt.
> For full documentation content in one file, see https://docs.sarvam.ai/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.sarvam.ai/_mcp/server.

# Download cohort file

GET https://apps.sarvam.ai/api/scheduling/v1/orgs/{org_id}/workspaces/{workspace_id}/campaigns/{campaign_id}/cohorts/{cohort_id}/files

Download a file associated with a cohort.

**Available file types:**
- `cohort` — The original uploaded CSV
- `rejected_records` — CSV of rows that failed validation, with an appended `rejected_reason` column
- `cohort_transformation` — The JSON transformation config used during processing

Reference: https://docs.sarvam.ai/api-reference/campaigns/cohorts/download

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: agents
  version: 1.0.0
paths:
  /v1/orgs/{org_id}/workspaces/{workspace_id}/campaigns/{campaign_id}/cohorts/{cohort_id}/files:
    get:
      operationId: download-cohort-file
      summary: Download Cohort File
      description: >-
        Download a file associated with a cohort.


        **Available file types:**

        - `cohort` — The original uploaded CSV

        - `rejected_records` — CSV of rows that failed validation, with an
        appended `rejected_reason` column

        - `cohort_transformation` — The JSON transformation config used during
        processing
      tags:
        - v1-cohorts
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
        - name: campaign_id
          in: path
          required: true
          schema:
            type: string
        - name: cohort_id
          in: path
          required: true
          schema:
            type: string
        - name: file_type
          in: query
          description: Type of cohort file to download.
          required: true
          schema:
            $ref: '#/components/schemas/CohortFileType'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                description: Any type
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
servers:
  - url: https://apps.sarvam.ai/api/scheduling
    description: Production
components:
  schemas:
    CohortFileType:
      type: string
      enum:
        - cohort
        - rejected_records
        - cohort_transformation
      title: CohortFileType
    ErrorBody:
      type: object
      properties:
        code:
          type: string
          description: A service-specific error code.
        message:
          type: string
          description: A human-readable description of the error.
      required:
        - code
        - message
      description: Details of the error that occurred.
      title: ErrorBody
    ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ErrorBody'
      required:
        - error
      description: A standard wrapper for all error responses.
      title: ErrorResponse

```

## Examples



**SDK Code**

```python
import requests

url = "https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/campaigns/campaign_id/cohorts/cohort_id/files"

querystring = {"file_type":"cohort"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript
const url = 'https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/campaigns/campaign_id/cohorts/cohort_id/files?file_type=cohort';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/campaigns/campaign_id/cohorts/cohort_id/files?file_type=cohort"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/campaigns/campaign_id/cohorts/cohort_id/files?file_type=cohort")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/campaigns/campaign_id/cohorts/cohort_id/files?file_type=cohort")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/campaigns/campaign_id/cohorts/cohort_id/files?file_type=cohort');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/campaigns/campaign_id/cohorts/cohort_id/files?file_type=cohort");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/campaigns/campaign_id/cohorts/cohort_id/files?file_type=cohort")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```